Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.model
Class SwingTreeNodeImpl<T>

    java.lang.Object
      org.richfaces.model.SwingTreeNodeImpl<T>

All Implemented Interfaces:
  Serializable, TreeNode

    public class SwingTreeNodeImpl<T>

extends Object
implements TreeNode, Serializable

Author:
  Nick Belaevski
See Also:
  Serialized Form

Constructor Summary
`SwingTreeNodeImpl()`
`SwingTreeNodeImpl(Collection<TreeNode> children)`

Method Summary
`void` | `addChild(TreeNode node)`
`Enumeration<?>` | `children()`
`boolean` | `getAllowsChildren()`
`TreeNode` | `getChildAt(int childIndex)`
`int` | `getChildCount()`
`Collection<TreeNode>` | `getChildrenList()`
`T` | `getData()`
`int` | `getIndex(TreeNode node)`
`TreeNode` | `getParent()`
`boolean` | `isLeaf()`
`void` | `removeChild(TreeNode node)`
`void` | `setData(T data)`
`void` | `setParent(TreeNode parent)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SwingTreeNodeImpl

    public SwingTreeNodeImpl()

### SwingTreeNodeImpl

    public SwingTreeNodeImpl(Collection<TreeNode> children)

Method Detail

### getChildAt

    public TreeNode getChildAt(int childIndex)

  Specified by:
    `getChildAt` in interface `TreeNode`

### getChildCount

    public int getChildCount()

  Specified by:
    `getChildCount` in interface `TreeNode`

### getParent

    public TreeNode getParent()

  Specified by:
    `getParent` in interface `TreeNode`

### setParent

    public void setParent(TreeNode parent)

### getIndex

    public int getIndex(TreeNode node)

  Specified by:
    `getIndex` in interface `TreeNode`

### addChild

    public void addChild(TreeNode node)

### removeChild

    public void removeChild(TreeNode node)

### getAllowsChildren

    public boolean getAllowsChildren()

  Specified by:
    `getAllowsChildren` in interface `TreeNode`

### isLeaf

    public boolean isLeaf()

  Specified by:
    `isLeaf` in interface `TreeNode`

### children

    public Enumeration<?> children()

  Specified by:
    `children` in interface `TreeNode`

### getData

    public T getData()

### setData

    public void setData(T data)

### getChildrenList

    public Collection<TreeNode> getChildrenList()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20111111-CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.